package actuator

import (
	"log"
)

/*
@Time : 2021/10/21 下午3:19
@Author : Zhouyc
*/

type DockerLauncher interface {
	launchD(host string,cmd string) error
}
type DockerLauncherCreator interface {
	Create() DockerLauncher
}

type ViaSSH struct {
}
func (s *ViaSSH)launchD(host string,cmd string)error{
	cmdline:="ssh"+" "+host+" "+"\""+cmd+"\""
	timeout:=120

	res,err:=launch(cmdline,timeout)
	if err!=nil{
		log.Printf("ssh error:%v",err)
		logger.Printf("ssh error:%v",err)
		return err
	}
	log.Printf(res)
	logger.Printf(res)
	return nil
}

type ViaSSHCreator struct {
}
func (sc *ViaSSHCreator)Create()DockerLauncher{
	l:=new(ViaSSH)
	return l

}

