package actuator

/*
@Time : 2021/10/21 上午11:19
@Author : Zhouyc
*/
import "os"
import "log"
import "time"

func MakeLog(path string) (*log.Logger ,error)  {
	logFile,err:=os.Create(path+time.Now().Format("2006-01-02")+".log")
	if err!=nil{
		log.Printf("Cannot create logFile:%v",err)
		return nil,err
	}
	logger:=log.New(logFile,"<actuator>",log.Ldate|log.Ltime|log.Lshortfile)
	return logger,nil

	
}
